API

Electronic Media Search Direct API

Fernsehen, Radio, Kanäle, Programme, Transkripte, Rundfunkjournalismus und audiovisuelle Nachrichtenberichterstattung.

API-Referenz Version: 1.0.0 4 Endpunkte Authentifizierung
Elektronische Medien

Basis-URL

https://api.pressmonitor.com

Authentifizierung

Alle Anfragen verwenden die Authentifizierung mit Bearer-Token. Fügen Sie den Authorization-Header zu jedem Aufruf hinzu.

Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /headlines

Parameter

Name Typ Standort Erforderlich Beschreibung
keywords_text string query Ja
lang_code string query Nein
country_code string query Nein
count integer query Nein
cursor string query Nein
sort string query Nein Sort order (date or relevance)
date_from string query Nein Start date for news (YYYY-MM-DD format)
date_to string query Nein End date for news (YYYY-MM-DD format)

Code-Beispiele

curl -X GET "https://api.pressmonitor.com/headlines?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /briefs

Parameter

Name Typ Standort Erforderlich Beschreibung
keywords_text string query Ja
lang_code string query Nein
country_code string query Nein
count integer query Nein
cursor string query Nein
sort string query Nein Sort order (date or relevance)
date_from string query Nein Start date for news (YYYY-MM-DD format)
date_to string query Nein End date for news (YYYY-MM-DD format)

Code-Beispiele

curl -X GET "https://api.pressmonitor.com/briefs?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /fulltext

Parameter

Name Typ Standort Erforderlich Beschreibung
keywords_text string query Ja
lang_code string query Nein
country_code string query Nein
count integer query Nein
cursor string query Nein
sort string query Nein Sort order (date or relevance)
date_from string query Nein Start date for news (YYYY-MM-DD format)
date_to string query Nein End date for news (YYYY-MM-DD format)

Code-Beispiele

curl -X GET "https://api.pressmonitor.com/fulltext?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /clip

Parameter

Name Typ Standort Erforderlich Beschreibung
id string query Ja Clip/article ID to resolve
date string query Ja Date of the clip (YYYY-MM-DD)
ns string query Nein Namespace prefix for multi-tenant index resolution
host string query Nein Host name for tenant resolution
ttl integer query Nein Signed URL time-to-live in seconds

Code-Beispiele

curl -X GET "https://api.pressmonitor.com/clip?id=VALUE&date=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success